Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.service.model
Class AbstractMessageContainer

    java.lang.Object
      org.apache.cxf.service.model.AbstractPropertiesHolder
          org.apache.cxf.service.model.AbstractMessageContainer

All Implemented Interfaces:
  Extensible, NamedItem

Direct Known Subclasses:
  FaultInfo, MessageInfo

    public abstract class AbstractMessageContainer

extends AbstractPropertiesHolder
implements NamedItem

Field Summary
`protected javax.xml.namespace.QName` | `mName`

Method Summary
`void` | `addMessagePart(MessagePartInfo part)` Adds a message part to this container.
`MessagePartInfo` | `addMessagePart(javax.xml.namespace.QName name)` Adds a message part to this container.
`MessagePartInfo` | `addMessagePart(java.lang.String name)`
`MessagePartInfo` | `addOutOfBandMessagePart(javax.xml.namespace.QName name)`
`boolean` | `equals(java.lang.Object o)`
`MessagePartInfo` | `getMessagePart(int n)` Returns the n'th message part.
`MessagePartInfo` | `getMessagePart(javax.xml.namespace.QName name)` Returns the message part with the given name, if found.
`MessagePartInfo` | `getMessagePartByIndex(int i)`
`int` | `getMessagePartIndex(MessagePartInfo part)`
`javax.xml.namespace.QName` | `getMessagePartQName(java.lang.String name)`
`java.util.List<MessagePartInfo>` | `getMessageParts()` Returns all message parts for this message.
`javax.xml.namespace.QName` | `getName()`
`OperationInfo` | `getOperation()` Returns the operation of this container.
`java.util.List<MessagePartInfo>` | `getOutOfBandParts()`
`int` | `hashCode()`
`void` | `removeMessagePart(javax.xml.namespace.QName name)` Removes an message part from this container.
`int` | `size()`

Methods inherited from class org.apache.cxf.service.model.AbstractPropertiesHolder
`addExtensionAttribute, addExtensor, containsExtensor, equals, getExtensionAttribute, getExtensionAttributes, getExtensor, getExtensors, getExtensors, getProperty, getProperty, getTraversedExtensor, hasProperty, setExtensionAttributes, setProperty`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mName

    protected javax.xml.namespace.QName mName

Method Detail

### getName

    public javax.xml.namespace.QName getName()

  Specified by:
    `getName` in interface `NamedItem`

### getOperation

    public OperationInfo getOperation()

  Returns the operation of this container.

  Returns:
    the operation.

### addMessagePart

    public MessagePartInfo addMessagePart(javax.xml.namespace.QName name)

  Adds a message part to this container.

  Parameters:
    `name` - the qualified name of the message part
  Returns:
    name the newly created `MessagePartInfo` object

### getMessagePartQName

    public javax.xml.namespace.QName getMessagePartQName(java.lang.String name)

### addMessagePart

    public MessagePartInfo addMessagePart(java.lang.String name)

### addMessagePart

    public void addMessagePart(MessagePartInfo part)

  Adds a message part to this container.

  Parameters:
    `part` - the message part.

### getMessagePartIndex

    public int getMessagePartIndex(MessagePartInfo part)

### getMessagePartByIndex

    public MessagePartInfo getMessagePartByIndex(int i)

### removeMessagePart

    public void removeMessagePart(javax.xml.namespace.QName name)

  Removes an message part from this container.

  Parameters:
    `name` - the qualified message part name.

### getMessagePart

    public MessagePartInfo getMessagePart(javax.xml.namespace.QName name)

  Returns the message part with the given name, if found.

  Parameters:
    `name` - the qualified name.
  Returns:
    the message part; or `null` if not found.

### getMessagePart

    public MessagePartInfo getMessagePart(int n)

  Returns the n'th message part.

  Parameters:
    `n` - the n'th part to retrieve.
  Returns:
    the message part; or `null` if not found.

### addOutOfBandMessagePart

    public MessagePartInfo addOutOfBandMessagePart(javax.xml.namespace.QName name)

### getMessageParts

    public java.util.List<MessagePartInfo> getMessageParts()

  Returns all message parts for this message.

  Returns:
    all message parts.

### getOutOfBandParts

    public java.util.List<MessagePartInfo> getOutOfBandParts()

### size

    public int size()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF